Loading...
Searching...
No Matches
_PurpleSoundUiOps Struct Reference

Operations used by the core to request that particular sound files, or the sound associated with a particular event, should be played. More...

`#include <sound.h>`

## Data Fields

void(* | init )(void)
void(* | uninit )(void)
void(* | play_file )(const char *filename)
void(* | play_event )(PurpleSoundEventID event)
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Operations used by the core to request that particular sound files, or the sound associated with a particular event, should be played.

Definition at line 62 of file sound.h.

## Field Documentation

## _purple_reserved1

void(* _PurpleSoundUiOps::_purple_reserved1) (void)

Definition at line 69 of file sound.h.

## _purple_reserved2

void(* _PurpleSoundUiOps::_purple_reserved2) (void)

Definition at line 70 of file sound.h.

## _purple_reserved3

void(* _PurpleSoundUiOps::_purple_reserved3) (void)

Definition at line 71 of file sound.h.

## _purple_reserved4

void(* _PurpleSoundUiOps::_purple_reserved4) (void)

Definition at line 72 of file sound.h.

## init

void(* _PurpleSoundUiOps::init) (void)

Definition at line 64 of file sound.h.

## play_event

void(* _PurpleSoundUiOps::play_event) (PurpleSoundEventID event)

Definition at line 67 of file sound.h.

## play_file

void(* _PurpleSoundUiOps::play_file) (const char *filename)

Definition at line 66 of file sound.h.

## uninit

void(* _PurpleSoundUiOps::uninit) (void)

Definition at line 65 of file sound.h.

The documentation for this struct was generated from the following file:

- sound.h